Get Ecommerce Audit
curl --request GET \
--url https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/ecommerce-audit \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/ecommerce-audit"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/ecommerce-audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"audited_at": "2023-11-07T05:31:56Z",
"domain": "<string>",
"engine": "<string>",
"rules": [
{
"id": "<string>",
"message": "<string>",
"severity": "<string>",
"status": "pass",
"weight": 123
}
],
"score": 0.72,
"steps": [
{
"action": "<string>",
"detail": "<string>",
"label": "<string>",
"optional": true,
"outcome": "<string>",
"phase": "<string>",
"http_status": 123,
"target": "<string>"
}
],
"subject": "<string>",
"trigger": "<string>",
"catalog": {
"acp_manifest_present": true,
"catalog_declared": true,
"checkout_declared": true,
"feed_format": "<string>",
"feed_freshness_hours": 123,
"feed_last_sync": "<string>",
"feed_source": "<string>",
"feed_url": "<string>",
"products": 123,
"transactable": 123
},
"manifest_http_status": 123,
"manifest_present": true
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}E-commerce audit
The newest e-commerce audit
The newest audit: the score, each rule with the failed ones first, and each request of the audit to the site. A brand with no audit gets 404.
GET
/
customer
/
v1
/
brands
/
{brand_id}
/
ecommerce-audit
Get Ecommerce Audit
curl --request GET \
--url https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/ecommerce-audit \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/ecommerce-audit"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/ecommerce-audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"audited_at": "2023-11-07T05:31:56Z",
"domain": "<string>",
"engine": "<string>",
"rules": [
{
"id": "<string>",
"message": "<string>",
"severity": "<string>",
"status": "pass",
"weight": 123
}
],
"score": 0.72,
"steps": [
{
"action": "<string>",
"detail": "<string>",
"label": "<string>",
"optional": true,
"outcome": "<string>",
"phase": "<string>",
"http_status": 123,
"target": "<string>"
}
],
"subject": "<string>",
"trigger": "<string>",
"catalog": {
"acp_manifest_present": true,
"catalog_declared": true,
"checkout_declared": true,
"feed_format": "<string>",
"feed_freshness_hours": 123,
"feed_last_sync": "<string>",
"feed_source": "<string>",
"feed_url": "<string>",
"products": 123,
"transactable": 123
},
"manifest_http_status": 123,
"manifest_present": true
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}Authorizations
An API key of your account, from Settings > API Keys. It starts with gnz-.
Path Parameters
Query Parameters
The surface of the engine that the audit reads.
Available options:
google-gemini, google-ai-mode Response
Successful Response
The failed rules first.
Show child attributes
Show child attributes
From 0 to 1.
Example:
0.72
Show child attributes
Show child attributes
The brand, or the competitor, that the audit read.
manual, scheduled or initial.
Show child attributes
Show child attributes